/******************************************************************************/
/* TEKNISA                                                                    */
/******************************************************************************/
/*                                                                            */
/* NOME: GRAVA_LOGAUTOFORNE                                                   */
/*                                                                            */
/* DESCRIO:                                                                 */
/*   Gera AF como inconsistente caso a mesma seja manual e o parmetro        */
/*   Obriga Liberao de AF's manuais esteja marcado para a filial destino    */
/* CRIAO:                                                                   */
/* 03/09/2007 - Marcelo Alexsandro Souza Silva                                */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER GERA_AF_INCONSISTENTE
BEFORE UPDATE
ON AUTOFORNE FOR EACH ROW
DECLARE
   V_IDOBLIBAFMAN CHAR(1);
BEGIN
   IF UPDATING THEN
      IF (:NEW.CDGERENTE IS NULL) AND (:NEW.IDTIPOLANCAF = 'M') THEN
         SELECT
            NVL(MAX(PARCMPSUP.IDOBLIBAFMAN), 'N')
         INTO V_IDOBLIBAFMAN
         FROM PARCMPSUP
         WHERE PARCMPSUP.CDFILIAL = :NEW.CDFILDEST;
         IF NVL(V_IDOBLIBAFMAN, 'N') = 'S' THEN
            :NEW.IDSITUATUAAF := '1';
         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('GERA_AF_INCONSISTENTE','5.01.001'); END;
/

