DROP VIEW ETL_RECEGRUPCLIE
/

DROP PUBLIC SYNONYM ETL_RECEGRUPCLIE 
/

CREATE VIEW ETL_RECEGRUPCLIE AS
SELECT *
  FROM (SELECT TO_CHAR(SYSDATE, 'dy dd/mm/yyyy hh24:mi') DSDTHRCALCULO,
               CL.NMFANTCLIE,
               CL.NMRAZSOCCLIE,
               NVL(RV.NMFANTCLIE, 'TEKNISA (sem revenda associada)') NMFANTREVENDA,
               NVL(RV.NMRAZSOCCLIE, 'TEKNISA (sem revenda associada)') NMRAZSOCREVENDA,
               CL.DTCADACLIE,
               TO_CHAR(CL.DTCADACLIE, 'YYYY/MM/DD') DSANOMESDIACADA,
               TO_CHAR(CL.DTCADACLIE, 'YYYY/MM') DSANOMESCADA,
               TO_CHAR(CL.DTCADACLIE, 'YYYY') ANCADACLIE,
               GR.CDGRUPCLIE,
               NVL(GR.NMGRUPCLIE, 'NO CADASTRADO') NMGRUPCLIE,
               SM.CDSEGMER,
               NVL(SM.DSSEGMER, 'NO CADASTRADO') DSSEGMER, -- DIMENSO 05026 -Segmento de Mercado
               CL.CDGERENTECOMERC,
               CL.CDAGENTENEGOCIO,
               CT.CDTPCTRECEB,
               TP.DSTPCTRECEB,
               LTRIM(SUBSTR(TO_CHAR(SUM(1) OVER (PARTITION BY CL.NMFANTCLIE, CT.CDTPCTRECEB
                                           ORDER BY CL.NMFANTCLIE, CT.CDTPCTRECEB, BA.DTBAIXAREC
                                           ROWS BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW), '99999'), 2, 5)) NRRECEBIMENTO_TIPO_CONTA, -- Dimenso 00456 N do recebimento
               BA.CDREDUCONT, -- DIMENSO 06000 CONTA CORRENTE
               TO_CHAR(BA.DTBAIXAREC, 'YYYY-MM') DSMES, -- DIMENSO 00027 MS
               BA.DTBAIXAREC,
               TO_CHAR(BA.DTBAIXAREC, 'YYYY/MM/DD') DSANOMESDIAREC,
               TO_CHAR(BA.DTBAIXAREC, 'YYYY/MM') DSANOMESREC,
               CASE WHEN (TO_CHAR(BA.DTBAIXAREC, 'DD') >= '21') AND (TO_CHAR(BA.DTBAIXAREC, 'DD') <= '31')
                THEN TO_CHAR(TO_DATE('21/'||TO_CHAR(BA.DTBAIXAREC, 'MM/YYYY')), 'YYYY-MM-DD')||' a '||
                     TO_CHAR(ADD_MONTHS(TO_DATE('20/'||TO_CHAR(BA.DTBAIXAREC, 'MM/YYYY')), 1), 'YYYY-MM-DD')
                ELSE TO_CHAR(ADD_MONTHS(TO_DATE('21/'||TO_CHAR(BA.DTBAIXAREC, 'MM/YYYY')), -1), 'YYYY-MM-DD')||' a '||
                     TO_CHAR(TO_DATE('20/'||TO_CHAR(BA.DTBAIXAREC, 'MM/YYYY')), 'YYYY-MM-DD')
                 END AS DSPERIODOREC, -- Dimenso 00316 Perodo
               TO_CHAR(BA.DTBAIXAREC, 'YYYY') ANBAIXAREC,
               BA.NRBAIXAREC,
               BO.CDEMPRESA,
               BA.CDFILIAL,
               BO.NRLANBOLREC,
               BO.DTVENBOLREC,
               BO.CDNOSNUMREC,
               ROUND(BO.VRBOLREC, 2) BOLETO_VALOR_BRUTO,
               ROUND(BO.VRFINALBREC, 2) BOLETO_VALOR_LIQUIDO,
               ROUND(BO.VRFINALBREC, 2) - ROUND(BO.VRBOLREC, 2) BOLETO_AJUSTE,
               ROUND(CT.VRATUAREC, 2) CONTA_VALOR_INICIAL,
               (BO.VRFINALBREC - BO.VRBOLREC) * (CT.VRATUAREC/BO.VRBOLREC) CONTA_AJUSTE,
               ROUND(CT.VRATUAREC, 2) + ((BO.VRFINALBREC - BO.VRBOLREC) * (CT.VRATUAREC/BO.VRBOLREC)) CONTA_AJUSTADA
          FROM CONTARECEBER CT, BOLETRECEBER BO, BAIXARECEBIDA BA, CLIENTE CL, CLIENTE RV, GRUPCLIE GR, SEGMERCADO SM, TIPOCTRECEBER TP
         WHERE BO.CDFILIAL = CT.CDFILIBOLREC
           AND BO.NRLANBOLREC = CT.NRLANBOLREC
           AND BO.VRFINALBREC <> 0
           AND BA.CDFILIAL = BO.CDFILIBAIREC
           AND BA.NRBAIXAREC = BO.NRBAIXAREC
           AND BA.IDSTATUSBREC = 'E'
           AND CL.CDCLIENTE = BO.CDCLIENTE
           AND RV.CDCLIENTE (+) = CL.CDCLIEPRINCIPAL
           AND GR.CDGRUPCLIE (+) = CL.CDGRUPCLIE
           AND SM.CDSEGMER (+) = CL.CDSEGMER
           AND TP.CDTPCTRECEB = CT.CDTPCTRECEB)
/


CREATE PUBLIC SYNONYM ETL_RECEGRUPCLIE FOR ETL_RECEGRUPCLIE
/

-- VERSAO --
BEGIN ATUVEROBJ('ETL_RECEGRUPCLIE','0.00.000'); END;
/